Interlaken
API referenceAgents and workflowsWorkflows

List AI workflows

GET
/api/v1/workflows

Requires the workflows:read permission.

Authorization

AuthorizationBearer <token>

An access token from this zone's POST /oauth/token, or a session token from POST /api/v1/auth/login. Send it as Authorization: Bearer <token>.

In: header

Query Parameters

limit?integer
offset?integer
order?string
q?string
sort_by?string
tags?string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/v1/workflows"
{  "items": [    {      "canary": {        "online": true,        "state": "string",        "version": 0,        "weight": 0      },      "created_at": "2019-08-24T14:15:22Z",      "current_version": 0,      "deployed_version": 0,      "deployment_state": "string",      "description": "string",      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "idle_undeploy_minutes": 0,      "name": "string",      "require_eval_pass": true,      "runner_online": true,      "spec": {},      "status": "string",      "tags": {        "property1": "string",        "property2": "string"      },      "trigger_type": "string",      "updated_at": "2019-08-24T14:15:22Z",      "webhook_set": true    }  ],  "total": 0}